%define	name	virt-manager
%define	version	0.8.0
%define	release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Manager
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        http://virt-manager.org/
Source:     http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Source1: state_paused.png
Source2: state_running.png
Source3: state_shutoff.png
# Fix disk XML mangling via connect/eject cdrom (RH bug #516116)
Patch1: %{name}-%{version}-cdrom-eject-driver.patch
# Fix delete button sensitivity (RH bug #518536)
Patch2: %{name}-%{version}-no-delete-active.patch
# Fix populating text box from storage browser in 'New VM' (RH bug #517263)
Patch3: %{name}-%{version}-newvm-storage-cb.patch
# Fix a traceback in an 'Add Hardware' error path (RH bug #517286)
Patch4: %{name}-%{version}-addhw-errmsg-typo.patch
# Fixes for pylint script to return nicer results on F11/F12
Patch5: %{name}-%{version}-pylint-tweak.patch
# Don't close libvirt connection for non-fatal errors (RH bug #522168)
Patch6: %{name}-%{version}-conn-close-exception.patch
# Manager UI tweaks
Patch7: %{name}-%{version}-manager-ui-tweaks.patch
# Generate better errors is disk/net stats polling fails
Patch8: %{name}-%{version}-stats-logging.patch
# Refresh host disk space in create wizard (RH bug #502777)
Patch9: %{name}-%{version}-refresh-disk-space.patch
# Offer to fix disk permission issues (RH bug #517379)
# Disabled because it breaks VM creation if qemu user does not exist
Patch10: %{name}-%{version}-fix-path-perms.patch
# Fix VCPU hotplug
Patch11: %{name}-%{version}-fix-vcpu-hotplug.patch
# Remove access to outdated docs (RH bug #522823, bug #524805)
Patch12: %{name}-%{version}-hide-help-docs.patch
# Update VM state text in manager view (RH bug #526182)
Patch13: %{name}-%{version}-update-vm-state.patch
# Update translations (RH bug #493795)
Patch14: %{name}-%{version}-update-translations.patch
# More translations (RH bug #493795)
Patch15: %{name}-%{version}-more-translations.patch
# Don't allow creating a volume without a name (RH bug #526111)
Patch16: %{name}-%{version}-createvol-name.patch
# Don't allow volume allocation > capacity (RH bug #526077)
Patch17: %{name}-%{version}-createvol-alloc.patch
# Add tooltips for toolbar buttons (RH bug #524083)
Patch18: %{name}-%{version}-toolbar-tooltips.patch
BuildRequires:  python
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:	intltool
Requires:       python-libvirt
Requires:       python-virtinst >= 0.300.0
Requires:       python-vte
Requires:	    python-libxml2
Requires:	    python-gtk-vnc
Requires:	    dbus-python
Requires:	    pygtk2.0-libglade
Requires:	    gnome-python
Requires:	    gnome-python-gconf
Requires:	    gnome-python-gnomevfs
Requires:	    librsvg
Requires:	    libvirt-utils
Requires(post): GConf2
Requires(preun):GConf2
BuildRoot:           %{_tmppath}/%{name}-%{version}

%description
The "Virtual Machine Manager" (virt-manager for short package name) is a
desktop application for managing virtual machines. It presents a summary view
of running domains and their live performance & resource utilization
statistics. A detailed view presents graphs showing performance & utilization
over time. Ultimately it will allow creation of new domains, and configuration
& adjustment of a domain's resource allocation & virtual hardware. Finally an
embedded VNC client viewer presents a full graphical console to the guest
domain.

%prep
%setup -q
cp %{SOURCE1} pixmaps
cp %{SOURCE2} pixmaps
cp %{SOURCE3} pixmaps
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
#%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
desktop-file-install --vendor="" \
    --add-category="GTK;GNOME;Emulator" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/virt-manager.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}


%if %mdkversion < 200900
%post
%post_install_gconf_schemas virt-manager
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas virt-manager

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/virt-manager-launch
%{_datadir}/virt-manager
%{_datadir}/applications/virt-manager.desktop
%{_datadir}/dbus-1/services/virt-manager.service
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/help/virt-manager/
%{_datadir}/omf/virt-manager/
%{_mandir}/man1/*


%changelog
* Sat Oct 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-3mdv2010.0
+ Revision: 456539
- Disable Fedora patch which breaks VM creation when there is no
  user qemu

* Wed Oct 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-2mdv2010.0
+ Revision: 455735
- Sync patches with Fedora

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 404172
- BuildRequires: intltool
- Update to new version 0.8.0
- Remove upstream patches

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-3mdv2010.0
+ Revision: 378311
- Add upstream patches, via Fedora:
  * Use openAuth when duplicating a connection when deleting a VM
  * Fix some OK/Cancel button ordering issues (RH bug #490207)
  * Fix incorrect max vcpu setting in New VM wizard (RH bug #490466)
  * Updated translations (RH bug 493795)
- Add Debian patches:
  * Use /usr/share/gconf for schema data
  * Close nc connection on EOF (Debian bugs #519979, #521137)
  * Don't crop VNC display (Debian bug #519979)
  * Fix keymap field in "Add hardware wizard" (Debian bug #528447)

* Mon Mar 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 362718
- Add 2 upstream bug fixes (via Fedora)

* Wed Mar 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 353929
- update to new version 0.7.0

* Wed Jan 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 334881
- update to new version 0.6.1

* Sat Dec 27 2008 Michael Scherer <misc@mandriva.org> 0.6.0-2mdv2009.1
+ Revision: 319891
- rebuild for new python

* Mon Oct 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 293120
- new version
- drop keyboard patch (seems unneeded now)

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.4-2mdv2009.0
+ Revision: 269665
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2009.0
+ Revision: 194206
- update to new version 0.5.4

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 154206
- update to new version 0.5.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 0.5.2-2mdv2008.1
+ Revision: 106493
- rebuild for new lzma

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 105238
- new version

* Thu Sep 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-5mdv2008.0
+ Revision: 93273
- patch1: make parsing /etc/sysconfig/keyboard a bit more robust

* Mon Sep 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-4mdv2008.0
+ Revision: 89236
- requires python-virtinst >= 0.300.0

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 85901
- add dependency on libvirt-utils

* Mon Sep 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 84244
- fix dependencies (fix #33395)

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75168
- add missing manpage
- New version 0.5.0

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2008.0
+ Revision: 36212
- rebuild with correct optflags

* Mon Jun 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-2mdv2008.0
+ Revision: 35220
- fix dependencies (thanks Ze)

* Sat Jun 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.4.0-1mdv2008.0
+ Revision: 34724
- updated to version 0.4.0

* Fri Apr 20 2007 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3mdv2008.0
+ Revision: 15943
- fix missing requires (bug #30234)


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 139488
- Add dbus-python

* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 125024
- new version

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-4mdv2007.1
+ Revision: 96466
- fix dependencies
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-3mdv2007.1
+ Revision: 96232
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-2mdv2007.1
+ Revision: 96196
- fix schemas handling

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
+ Revision: 94776
- fix typo in buildrequires
- buildrequires desktop-file-utils
- Import virt-manager

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
- first mdv release

